using System;
using System.Data;
using System.Collections.Generic;
using ZXDT.Common;
using ZXDT.CallCenter.Model;
namespace ZXDT.CallCenter.BLL
{
	/// <summary>
	/// T_Wo_WorkOrderTaskInfo
	/// </summary>
	public partial class T_Wo_WorkOrderTaskInfo
	{
		private readonly ZXDT.CallCenter.DAL.T_Wo_WorkOrderTaskInfo dal=new ZXDT.CallCenter.DAL.T_Wo_WorkOrderTaskInfo();
		public T_Wo_WorkOrderTaskInfo()
		{}
		#region  Method

		/// <summary>
		/// 增加一条数据
		/// </summary>
		public int  Add(ZXDT.CallCenter.Model.T_Wo_WorkOrderTaskInfo model)
		{
			return dal.Add(model);
		}

		/// <summary>
		/// 更新一条数据
		/// </summary>
		public bool Update(ZXDT.CallCenter.Model.T_Wo_WorkOrderTaskInfo model)
		{
			return dal.Update(model);
		}

		/// <summary>
		/// 删除一条数据
		/// </summary>
		public bool Delete(int F_TASKINFOID)
		{
			
			return dal.Delete(F_TASKINFOID);
		}
		/// <summary>
		/// 删除一条数据
		/// </summary>
		public bool DeleteList(string F_TASKINFOIDlist )
		{
			return dal.DeleteList(F_TASKINFOIDlist );
		}

		/// <summary>
		/// 得到一个对象实体
		/// </summary>
		public ZXDT.CallCenter.Model.T_Wo_WorkOrderTaskInfo GetModel(int F_TASKINFOID)
		{
			
			return dal.GetModel(F_TASKINFOID);
		}

		/// <summary>
		/// 得到一个对象实体，从缓存中
		/// </summary>
        //public ZXDT.CallCenter.Model.T_Wo_WorkOrderTaskInfo GetModelByCache(int F_TASKINFOID)
        //{
			
        //    string CacheKey = "T_Wo_WorkOrderTaskInfoModel-" + F_TASKINFOID;
        //    object objModel = Maticsoft.Common.DataCache.GetCache(CacheKey);
        //    if (objModel == null)
        //    {
        //        try
        //        {
        //            objModel = dal.GetModel(F_TASKINFOID);
        //            if (objModel != null)
        //            {
        //                int ModelCache = Maticsoft.Common.ConfigHelper.GetConfigInt("ModelCache");
        //                Maticsoft.Common.DataCache.SetCache(CacheKey, objModel, DateTime.Now.AddMinutes(ModelCache), TimeSpan.Zero);
        //            }
        //        }
        //        catch{}
        //    }
        //    return (ZXDT.CallCenter.Model.T_Wo_WorkOrderTaskInfo)objModel;
        //}

		/// <summary>
		/// 获得数据列表
		/// </summary>
		public DataSet GetList(string strWhere)
		{
			return dal.GetList(strWhere);
		}
		/// <summary>
		/// 获得前几行数据
		/// </summary>
		public DataSet GetList(int Top,string strWhere,string filedOrder)
		{
			return dal.GetList(Top,strWhere,filedOrder);
		}
		/// <summary>
		/// 获得数据列表
		/// </summary>
		public List<ZXDT.CallCenter.Model.T_Wo_WorkOrderTaskInfo> GetModelList(string strWhere)
		{
			DataSet ds = dal.GetList(strWhere);
			return DataTableToList(ds.Tables[0]);
		}
		/// <summary>
		/// 获得数据列表
		/// </summary>
		public List<ZXDT.CallCenter.Model.T_Wo_WorkOrderTaskInfo> DataTableToList(DataTable dt)
		{
			List<ZXDT.CallCenter.Model.T_Wo_WorkOrderTaskInfo> modelList = new List<ZXDT.CallCenter.Model.T_Wo_WorkOrderTaskInfo>();
			int rowsCount = dt.Rows.Count;
			if (rowsCount > 0)
			{
				ZXDT.CallCenter.Model.T_Wo_WorkOrderTaskInfo model;
				for (int n = 0; n < rowsCount; n++)
				{
					model = new ZXDT.CallCenter.Model.T_Wo_WorkOrderTaskInfo();
					if(dt.Rows[n]["F_TASKINFOID"]!=null && dt.Rows[n]["F_TASKINFOID"].ToString()!="")
					{
						model.F_TASKINFOID=int.Parse(dt.Rows[n]["F_TASKINFOID"].ToString());
					}
					if(dt.Rows[n]["F_TASKID"]!=null && dt.Rows[n]["F_TASKID"].ToString()!="")
					{
						model.F_TASKID=int.Parse(dt.Rows[n]["F_TASKID"].ToString());
					}
					if(dt.Rows[n]["F_WORKORDERID"]!=null && dt.Rows[n]["F_WORKORDERID"].ToString()!="")
					{
						model.F_WORKORDERID=int.Parse(dt.Rows[n]["F_WORKORDERID"].ToString());
					}
					if(dt.Rows[n]["F_OPTBY"]!=null && dt.Rows[n]["F_OPTBY"].ToString()!="")
					{
						model.F_OPTBY=int.Parse(dt.Rows[n]["F_OPTBY"].ToString());
					}
					if(dt.Rows[n]["F_OPTDATE"]!=null && dt.Rows[n]["F_OPTDATE"].ToString()!="")
					{
						model.F_OPTDATE=DateTime.Parse(dt.Rows[n]["F_OPTDATE"].ToString());
					}
					if(dt.Rows[n]["F_SUBSCRIBEDATE"]!=null && dt.Rows[n]["F_SUBSCRIBEDATE"].ToString()!="")
					{
						model.F_SUBSCRIBEDATE=DateTime.Parse(dt.Rows[n]["F_SUBSCRIBEDATE"].ToString());
					}
					if(dt.Rows[n]["F_SUBSCRIBESTATE"]!=null && dt.Rows[n]["F_SUBSCRIBESTATE"].ToString()!="")
					{
						model.F_SUBSCRIBESTATE=int.Parse(dt.Rows[n]["F_SUBSCRIBESTATE"].ToString());
					}
					if(dt.Rows[n]["F_SUBSCRIBETIME"]!=null && dt.Rows[n]["F_SUBSCRIBETIME"].ToString()!="")
					{
						model.F_SUBSCRIBETIME=int.Parse(dt.Rows[n]["F_SUBSCRIBETIME"].ToString());
					}
					if(dt.Rows[n]["F_SUBSCRIBETIMEHOUR"]!=null && dt.Rows[n]["F_SUBSCRIBETIMEHOUR"].ToString()!="")
					{
					model.F_SUBSCRIBETIMEHOUR=dt.Rows[n]["F_SUBSCRIBETIMEHOUR"].ToString();
					}
					if(dt.Rows[n]["F_SUBSCRIBEDES"]!=null && dt.Rows[n]["F_SUBSCRIBEDES"].ToString()!="")
					{
					model.F_SUBSCRIBEDES=dt.Rows[n]["F_SUBSCRIBEDES"].ToString();
					}
					if(dt.Rows[n]["F_SUBSCRIBEFAILINFO"]!=null && dt.Rows[n]["F_SUBSCRIBEFAILINFO"].ToString()!="")
					{
					model.F_SUBSCRIBEFAILINFO=dt.Rows[n]["F_SUBSCRIBEFAILINFO"].ToString();
					}
					if(dt.Rows[n]["F_ARRASSIGNUSER"]!=null && dt.Rows[n]["F_ARRASSIGNUSER"].ToString()!="")
					{
					model.F_ARRASSIGNUSER=dt.Rows[n]["F_ARRASSIGNUSER"].ToString();
					}
					if(dt.Rows[n]["F_ASSIGNTYPE"]!=null && dt.Rows[n]["F_ASSIGNTYPE"].ToString()!="")
					{
						model.F_ASSIGNTYPE=int.Parse(dt.Rows[n]["F_ASSIGNTYPE"].ToString());
					}
					if(dt.Rows[n]["F_ASSIGNDES"]!=null && dt.Rows[n]["F_ASSIGNDES"].ToString()!="")
					{
					model.F_ASSIGNDES=dt.Rows[n]["F_ASSIGNDES"].ToString();
					}
					if(dt.Rows[n]["F_REPLYINFO"]!=null && dt.Rows[n]["F_REPLYINFO"].ToString()!="")
					{
					model.F_REPLYINFO=dt.Rows[n]["F_REPLYINFO"].ToString();
					}
					modelList.Add(model);
				}
			}
			return modelList;
		}

		/// <summary>
		/// 获得数据列表
		/// </summary>
		public DataSet GetAllList()
		{
			return GetList("");
		}

		/// <summary>
		/// 分页获取数据列表
		/// </summary>
		public int GetRecordCount(string strWhere)
		{
			return dal.GetRecordCount(strWhere);
		}
		/// <summary>
		/// 分页获取数据列表
		/// </summary>
		public DataSet GetListByPage(string strWhere, string orderby, int startIndex, int endIndex)
		{
			return dal.GetListByPage( strWhere,  orderby,  startIndex,  endIndex);
		}
		/// <summary>
		/// 分页获取数据列表
		/// </summary>
		//public DataSet GetList(int PageSize,int PageIndex,string strWhere)
		//{
			//return dal.GetList(PageSize,PageIndex,strWhere);
		//}

		#endregion  Method
	}
}

